Bug 2067719

Summary: Update channels information link is taking to a 404 error page
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Management ConsoleAssignee: Robb Hamilton <rhamilto>
Status: CLOSED ERRATA QA Contact: Salvatore Colangelo <scolange>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.11CC: aos-bugs, gveitmic, jhadvig, jiazha, spadgett, wking, yanpzhan, yufchang
Target Milestone: ---   
Target Release: 4.10.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 2082610 (view as bug list) Environment:
Last Closed: 2022-04-21 13:16:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2066418    
Bug Blocks: 2082610    

Description OpenShift BugZilla Robot 2022-03-24 02:10:16 UTC
+++ This bug was initially created as a clone of Bug #2066418 +++

The link that gives details about update channel is giving 404 error and it should open a valid page.

Version-Release number of selected component (if applicable):
4.11.0-0.nightly-2022-03-18-003836

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Administration>Cluster Settings
2. Click on Channel hyper link
3. Click "Learn more about OpenShift update channels"

Actual results:
   it takes to a 404 page

Expected results:
  should go to proper documentation page.

Comment 1 Robb Hamilton 2022-03-28 15:48:43 UTC
*** Bug 2066157 has been marked as a duplicate of this bug. ***

Comment 3 Salvatore Colangelo 2022-04-07 12:14:25 UTC
Hi

 
[scolange@scolange ~]$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.8    True        False         37m     Cluster version is 4.10.8

[scolange@scolange ~]$ oc whoami --show-console
https://console-openshift-console.apps.knarra-04072.qe.azure.devcluster.openshift.com

Steps to Reproduce:
1. Navigate to Administration>Cluster Settings
2. Click on Channel hyper link
3. Click "Learn more about OpenShift update channels"



[scolange@scolange ~]$ oc whoami --show-console
https://console-openshift-console.apps.logci3371.qe.devcluster.openshift.com

[scolange@scolange ~]$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.9    True        False         16m     Cluster version is 4.10.9


[scolange@scolange ~]$ oc whoami --show-console
https://console-openshift-console.apps.logci3371.qe.devcluster.openshift.com

Steps to Reproduce:
1. Navigate to Administration>Cluster Settings
2. Click on Channel hyper link
3. Click "Learn more about OpenShift update channels"


For Both cluster still 404 not found


Expected results:
  should go to proper documentation page.

Comment 4 Robb Hamilton 2022-04-07 14:20:10 UTC
Salvataore, the associated pull request (https://github.com/openshift/console/pull/11225) to fix this bug hasn't merged yet as it is awaiting `cherry-pick-approved`.  Please retest once the associated pull request has merged.

Comment 6 Robb Hamilton 2022-04-07 16:08:24 UTC
I tested using cluster-bot and verified the bug is fixed.

Comment 13 errata-xmlrpc 2022-04-21 13:16:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.10 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:1356